curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact/Transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referenceSource": "<string>",
"referenceId": "<string>",
"contactType": "<string>",
"name": "<string>",
"title": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventId": "<integer>",
"eventName": "<string>",
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"tags": "<string>",
"originSegmentCode": "<string>",
"emailLists": [
"<string>",
"<string>"
],
"customFields": "<object>",
"volunteerAttendances": [
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
},
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
referenceSource: '<string>',
referenceId: '<string>',
contactType: '<string>',
name: '<string>',
title: '<string>',
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
suffix: '<string>',
emailType: '<string>',
email: '<string>',
phoneType: '<string>',
phone: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
eventId: '<integer>',
eventName: '<string>',
invited: '<boolean>',
rsvp: '<boolean>',
rsvpResponse: '<boolean>',
attended: '<boolean>',
tags: '<string>',
originSegmentCode: '<string>',
emailLists: ['<string>', '<string>'],
customFields: '<object>',
volunteerAttendances: [
{
volunteerOpportunityId: '<integer>',
volunteerOpportunityName: '<string>',
date: '<string>',
hours: '<string>'
},
{
volunteerOpportunityId: '<integer>',
volunteerOpportunityName: '<string>',
date: '<string>',
hours: '<string>'
}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Contact/Transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Contact/Transaction"
payload = {
"referenceSource": "<string>",
"referenceId": "<string>",
"contactType": "<string>",
"name": "<string>",
"title": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventId": "<integer>",
"eventName": "<string>",
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"tags": "<string>",
"originSegmentCode": "<string>",
"emailLists": ["<string>", "<string>"],
"customFields": "<object>",
"volunteerAttendances": [
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
},
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Contact/Transaction");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"referenceSource\": \"<string>\",\n \"referenceId\": \"<string>\",\n \"contactType\": \"<string>\",\n \"name\": \"<string>\",\n \"title\": \"<string>\",\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"suffix\": \"<string>\",\n \"emailType\": \"<string>\",\n \"email\": \"<string>\",\n \"phoneType\": \"<string>\",\n \"phone\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"eventId\": \"<integer>\",\n \"eventName\": \"<string>\",\n \"invited\": \"<boolean>\",\n \"rsvp\": \"<boolean>\",\n \"rsvpResponse\": \"<boolean>\",\n \"attended\": \"<boolean>\",\n \"tags\": \"<string>\",\n \"originSegmentCode\": \"<string>\",\n \"emailLists\": [\n \"<string>\",\n \"<string>\"\n ],\n \"customFields\": \"<object>\",\n \"volunteerAttendances\": [\n {\n \"volunteerOpportunityId\": \"<integer>\",\n \"volunteerOpportunityName\": \"<string>\",\n \"date\": \"<string>\",\n \"hours\": \"<string>\"\n },\n {\n \"volunteerOpportunityId\": \"<integer>\",\n \"volunteerOpportunityName\": \"<string>\",\n \"date\": \"<string>\",\n \"hours\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Contact/Transaction';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
referenceSource: '<string>',
referenceId: '<string>',
contactType: '<string>',
name: '<string>',
title: '<string>',
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
suffix: '<string>',
emailType: '<string>',
email: '<string>',
phoneType: '<string>',
phone: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
eventId: '<integer>',
eventName: '<string>',
invited: '<boolean>',
rsvp: '<boolean>',
rsvpResponse: '<boolean>',
attended: '<boolean>',
tags: '<string>',
originSegmentCode: '<string>',
emailLists: ['<string>', '<string>'],
customFields: '<object>',
volunteerAttendances: [
{
volunteerOpportunityId: '<integer>',
volunteerOpportunityName: '<string>',
date: '<string>',
hours: '<string>'
},
{
volunteerOpportunityId: '<integer>',
volunteerOpportunityName: '<string>',
date: '<string>',
hours: '<string>'
}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contact Transaction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The name of the external system that owns the reference identifier, for example Stripe, MailChimp, or Shopify.
The identifier of the record in the reference source system.
The type of contact, for example Household, Organization, or Foundation. Must match a contact type configured for the organization.
The full name of the contact, for example "Bob and Jane Smith" for a household.
The first name of the individual.
The middle name of the individual.
The last name of the individual.
The name suffix for the individual, for example Jr. or III.
The first line of the street address.
The second line of the street address.
The city of the address.
The state or province of the address.
The postal or ZIP code of the address.
The country of the address.
Custom field values to set on the record. Field names must match custom fields configured for the organization.
Show child attributes
Show child attributes
Response
OK
Was this page helpful?